#import <Cocoa/Cocoa.h>

@interface Enemy : NSObject {
	int type;
	int	energy;
	int state;
	
	NSImage* image;
	NSPoint position;
}

- (id)initWithImage:(NSImage*)img
			   type:(int)t;

- (int)state;
- (void)setState:(int)s;
- (void)setPosition:(NSPoint)pos;

- (void)down;
- (BOOL)moveAndDisplay:(int)dir;

@end
