/* StageView */

#import <Cocoa/Cocoa.h>

@class Enemy;

@interface StageView : NSView
{
	NSTimer *timer;
    NSImage *backgroundImage;
    
    NSRect heroRect;
    NSImage *heroImage;

    BOOL isFire;
	int curStage;
	int enemyDir;
    NSRect missileRect;
    NSImage *missileImage;
	
	NSImage *enemyImage1;
	NSImage *enemyImage2;
	NSImage *enemyImage3;
	
	Enemy *Enemy1[MAX_ENEMY1];
	Enemy *Enemy2[MAX_ENEMY2];
	Enemy *Enemy3[MAX_ENEMY3];
}

- (void)setStage;
- (void)processGame;
- (void)fireMissile;
- (void)keyDown:(NSEvent *)event;

@end
